Bug 97208 - [CSS Regions] LayoutTests/fast/regions/webkit-flow-inlines-inside-regions-bounds-vertical-rl.html has repainting issues
Summary: [CSS Regions] LayoutTests/fast/regions/webkit-flow-inlines-inside-regions-bou...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mihnea Ovidenie
URL:
Keywords:
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2012-09-20 06:54 PDT by Dominik Röttsches (drott)
Modified: 2013-01-07 10:38 PST (History)
9 users (show)

See Also:


Attachments
Patch (233.79 KB, patch)
2013-01-05 06:54 PST, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominik Röttsches (drott) 2012-09-20 06:54:21 PDT
This test shows repainting issues in the middle part of the displayed content. Happens with slight variations on Chromium 22.0.1229.56 beta, EFL and GTK.
Comment 1 Raphael Kubo da Costa (:rakuco) 2012-10-10 09:43:02 PDT
Seems to be fine as of r130911 in the EFL port, I even committed the baseline in r130892.
Comment 2 Mihnea Ovidenie 2013-01-02 08:28:14 PST
Related to https://bugs.webkit.org/show_bug.cgi?id=105893
Comment 3 Mihnea Ovidenie 2013-01-05 06:54:38 PST
Created attachment 181436 [details]
Patch

Converted the test to a ref test, once the bug with the display of last region overflowing content is fixed.
Comment 4 WebKit Review Bot 2013-01-07 10:38:09 PST
Comment on attachment 181436 [details]
Patch

Clearing flags on attachment: 181436

Committed r138961: <http://trac.webkit.org/changeset/138961>
Comment 5 WebKit Review Bot 2013-01-07 10:38:14 PST
All reviewed patches have been landed.  Closing bug.